CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Recommended modules
 * Installation
 * Configuration
 * Maintainers

INTRODUCTION
------------

 The Codes Pool Module provides a custom content entity that has a file upload field to upload a pool of codes from a
 csv file. The module provides hooks to define custom file upload validation, and table names where the code pool
 should be stored in. When uploading a file to the codes pool entity, the defined validation will run on the file,
 if the defined table doesn't exist yet, the table will be created and the codes pool uploaded into it.
 The module also handles the dispensing and tracking of codes left in a pool. Future enhancements would be
 to setup notification based on thresholds of unconsumed codes left in a pool to help managing the code pools.


RECOMMENDED MODULES
-------------------

 * Depends on entity, entityreference, and inline_entity_form

INSTALLATION
------------

 * Install as usual

CONFIGURATION
-------------

 * No configuration is needed.


MAINTAINERS
-----------

Current maintainers:

 * Simon Bergmann (https://www.drupal.org/user/3425919)
